%define		name	scponly
%define		version	3.8
%define		release	1mdk
%define		summary	Connection shell to allow only scp/sftp/rsync

%define		section	Networking/Remote access
%define		title	Scponly

Summary:		%summary
Name:			%name
Version:		%version
Release:		%release
License:		BSD
Group:			Networking/Remote access
URL:			http://sublimation.org/scponly
Source0:		%name-%version.tar.bz2
BuildRoot:		%_tmppath/%name-buildroot
PreReq:			rpm-helper >= 0.7
BuildRequires:	openssh-server, rsync

%description
"scponly" is an alternative 'shell' (of sorts) for system
administrators who would like to provide access to remote users to
both read and write local files without providing any remote execution
priviledges. Functionally, it is best described as a wrapper to the
"tried and true" ssh suite of applications.

%prep
%setup

%build
%configure --enable-rsync-compat --enable-chrooted-binary
%make

%install
rm -rf %buildroot
perl -p -i -e 's/-o 0 -g 0//' Makefile*
%makeinstall CONFDIR=$RPM_BUILD_ROOT%_sysconfdir/scponly

%post
/usr/share/rpm-helper/add-shell %name $1 %_bindir/scponly
/usr/share/rpm-helper/add-shell %name $1 %_sbindir/scponlyc

%postun
/usr/share/rpm-helper/del-shell %name $1 %_bindir/scponly
/usr/share/rpm-helper/del-shell %name $1 %_sbindir/scponlyc

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%dir %_sysconfdir/scponly
%config(noreplace) %_sysconfdir/scponly/debuglevel
%_bindir/*
%_sbindir/*
%_mandir/man8/*

%changelog
* Thu Oct 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.8-1mdk
- 3.8

* Sat Apr 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.7-2mdk
- add missing directory into files section (mr. distlint)

* Thu Mar 20 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.7-1mdk
- new version 3.7
- make scponly as winscp compatible
- enable chrooted binary too
- macroszification

* Sun Dec 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 3.5-1mdk
- First Mandrake Linux package

